"""
The aim of this project is to extend pyerrors to be able to collect measurements from different projects and make them easily accessable to 
the research group. The idea is to build a database, in which the researcher can easily search for measurements on a correlator basis,
which may be reusable.
As a standard to store the measurements, we will use the .json.gz format from pyerrors.
This allows us to organize a library by files and exported dictionaries.
Also, this is compressable, but is also human readable in uncompressed form.
The project creates a database with a table to store the measurements, and a folder to store the .json.gz files and tracks the changes to the folder automatically using datalad.
This way, we can harness the power of datalad as a backand, to reproducibly build our database.
Projects, that are also datalad datasets can be linked to the backlog of correlators as subdatasets, such that, using datalad rerun function,
it can be easily seen wehere the respective measurement came from and ho it may be reproduced.

For now, we are interested in collecting primary IObservables only, as these are the most computationally expensive and time consuming to calculate.
"""


from .main import *
from .input import *
from .initialization import *
from .meas_io import *
from .find import *